//[passport-contacts](../../../index.md)/[com.yandex.passport.contacts](../index.md)/[PassportContactsJavaWrapper](index.md)/[subscribeForWorkInfo](subscribe-for-work-info.md)

# subscribeForWorkInfo

[passport-contacts]\
fun [subscribeForWorkInfo](subscribe-for-work-info.md)(listener: [PassportContactsJavaWrapper.WorkInfoListener](-work-info-listener/index.md)): [Disposable](../../../../passport/passport/com.yandex.passport.common/-disposable/index.md)

Provides status of work done as listenable subscription.

#### Return

[Disposable](../../../../passport/passport/com.yandex.passport.common/-disposable/index.md) to close subscription.

## See also

passport-contacts

| | |
|---|---|
| [com.yandex.passport.contacts.PassportContactsApi](../-passport-contacts-api/work-info-flow.md) |  |

## Parameters

passport-contacts

| | |
|---|---|
| listener | to receive updates. |
